#!/bin/bash
# Created by Topology-Converter v{{ version }}
#    Template Revision: v4.7.1

function error() {
  echo -e "\e[0;33mERROR: The Zero Touch Provisioning script failed while running the command $BASH_COMMAND at line $BASH_LINENO.\e[0m" >&2
}
trap error ERR

SSH_URL="http://{{ devices[0].mgmt_ip }}/authorized_keys"
#Setup SSH key authentication for Ansible
mkdir -p /home/cumulus/.ssh
wget -O /home/cumulus/.ssh/authorized_keys $SSH_URL

# Uncomment to unexpire and change the default cumulus user password
passwd -x 99999 cumulus
echo 'cumulus:test123' | chpasswd

# Uncomment to give cumulus user passwordless sudo
echo "cumulus ALL=(ALL) NOPASSWD:ALL" > /etc/sudoers.d/10_cumulus

reboot
exit 0
#CUMULUS-AUTOPROVISIONING
